// ExpAllOpts.cpp : implementation file
//

#include "stdafx.h"
#include "imagegrinder.h"
#include "ExpAllOpts.h"



/////////////////////////////////////////////////////////////////////////////
// CExpAllOpts dialog


CExpAllOpts::CExpAllOpts(CWnd* pParent /*=NULL*/)
	: CDialog(CExpAllOpts::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExpAllOpts)
	m_idata = FALSE;
	m_mti = FALSE;
	m_singletga = FALSE;
	m_tgafiles = FALSE;
	m_usedimagelist = FALSE;
	m_Material = FALSE;
	m_Fgd = FALSE;
	m_IGData = FALSE;
	m_SingleMat = FALSE;
	//}}AFX_DATA_INIT
}


void CExpAllOpts::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExpAllOpts)
	DDX_Check(pDX, IDC_IMAGEDATA, m_idata);
	DDX_Check(pDX, IDC_MTINDEX, m_mti);
	DDX_Check(pDX, IDC_SINGLETGA, m_singletga);
	DDX_Check(pDX, IDC_TGAFILES, m_tgafiles);
	DDX_Check(pDX, IDC_USEDIMAGELIST, m_usedimagelist);
	DDX_Check(pDX, IDC_MATERIAL, m_Material);
	DDX_Check(pDX, IDC_FGD, m_Fgd);
	DDX_Check(pDX, IDC_IGDATA, m_IGData);
	DDX_Check(pDX, IDC_SINGLEMAT, m_SingleMat);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CExpAllOpts, CDialog)
	//{{AFX_MSG_MAP(CExpAllOpts)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExpAllOpts message handlers

BOOL CExpAllOpts::OnInitDialog() 
{
	CDialog::OnInitDialog();
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
